package com.izouma.zhirongip.service.demand;

import com.izouma.zhirongip.ApplicationTests;
import com.izouma.zhirongip.dto.PageQuery;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Map;


public class FundingServiceTest extends ApplicationTests {

    @Autowired
    private FundingService fundingService;

    @Test
    public void all() {
        PageQuery pageQuery = new PageQuery();
        Map<String, Object> query = pageQuery.getQuery();
        query.put("loanTerm", "ONE_TWO_YEARS");

        System.out.println(fundingService.all(pageQuery, null).getContent());
    }
}